package cribbage

import . "gitlab.com/tslocum/joker"

// Value returns the cribbage value of a card.
func Value(c Card) int {
	v := int(c.Face)
	if v > 10 {
		v = 10
	}
	return v
}

// Sum returns the total cribbage value of the supplied cards.
func Sum(c Cards) int {
	var v int
	for _, card := range c {
		v += Value(card)
	}
	return v
}
